...
 
Commits (14)
  • Jof Thibaut's avatar
    Import Debian changes 0.8.14-0~stretch1 · 84bd467b
    Jof Thibaut authored
    libcompizconfig-reloaded (0.8.14-0~stretch1) stretch; urgency=low
    
      * New upstream release.
        - rename source package to reloaded version
      * Bump standards to version 3.9.8.
      * Add override dh_strip to no create automatic dbgsym.
    
    libcompizconfig (0.8.12.1-0~jessie1) jessie; urgency=low
    
      * New upstream release.
      * Update dh_makeshlibs with new version.  
    
    libcompizconfig (0.8.12-0~jessie1) jessie; urgency=low
    
      * New upstream release.
        - forked on Github : Compiz Reloaded
        - many more bug fixes and improvements, see git log
      * Switch to format 3.0 (quilt).
      * Update compat and rules to debhelper 9.
      * Bump standards to version 3.9.6.
      * Change Priority to optional.
      * Update copyright to format 1.0 and Homepage link.
      * Override dh_makeshlibs to fix dependencies on libcompizconfig0.
    
    libcompizconfig (0.8.4-2) unstable; urgency=medium
    
      * Medium urgency to fix RC bug in testing.
      * Disable protobuf to work around #572923.
      * Link libcompizconfig with -ldl (closes: #558875)
    
    libcompizconfig (0.8.4-1) unstable; urgency=low
    
      * New upstream release.
        - Includes fix for "basic_string::_S_construct NULL not valid".
          (Closes: #531797)
      * Update Build-Depends against compiz-dev to 0.8.4-1 for ABI bump.
    
    libcompizconfig (0.8.2-2) unstable; urgency=low
    
      * Let libcompizcore0 depend on compiz-core and
        compiz-core-abiversion-2009xxyy to avoid package mismatches.
      * Add Vcs-Git-* control headers.
      * Fix missing -abiversion in virtual dep.
      * Let libcompizconfig-dev dep on compiz-dev (>= 0.8.2) for the Requires:
        compiz libcompizconfig.pc.
      * Temporarily bump compiz-dev build-dep and dep to >= 0.8.2-6 to
        workaround FTBFS with current compiz-dev.
    
    libcompizconfig (0.8.2-1) unstable; urgency=low
    
      * New upstream release.
      * Add gbp.conf for use with git-buildpackage
      * Add build-dep on libprotobuf-dev and protobuf-compiler.
      * Update Standards-Version to 3.8.1
      * Remove usr/share/compizconfig from libcompizconfig0.install
      * update build-dep version against compiz-dev
    
    libcompizconfig (0.7.6-1) unstable; urgency=low
    
      * New upstream release.  Includes ABI change so build-deps changed
        accordingly.
    
    libcompizconfig (0.7.4-2) unstable; urgency=low
    
      * Add build-deps on autoconf, automake1.9, libglib2.0-dev, and libtool 
    
    libcompizconfig (0.7.4-1) unstable; urgency=low
    
      * New upstream release.
      * Update build-deps to compiz-dev >= 0.7.3
    
    libcompizconfig (0.6.0-3) unstable; urgency=low
    
      * update/clarify copyright information in debian/copyright at the request of
        ftp-master.
    
    libcompizconfig (0.6.0-2) unstable; urgency=low
    
      * ship the development package as libcompizconfig-dev, instead of
        libcompizconfig0-dev.
    
    libcompizconfig (0.6.0-1) unstable; urgency=low
    
      * Initial release (Closes: #431787)
    84bd467b
  • Samuel Thibault's avatar
  • Samuel Thibault's avatar
    e1301c24
  • Samuel Thibault's avatar
    6a1f4046
  • Samuel Thibault's avatar
    Update copyright file · 179313ca
    Samuel Thibault authored
    179313ca
  • Samuel Thibault's avatar
    Generate dbgsym packages · af7f95e0
    Samuel Thibault authored
    af7f95e0
  • Samuel Thibault's avatar
    Upload · c8263f15
    Samuel Thibault authored
    c8263f15
  • Samuel Thibault's avatar
    fix distrib · 1f2fc613
    Samuel Thibault authored
    1f2fc613
  • Samuel Thibault's avatar
    Fix lintian warning about epoch · 5eb98bb0
    Samuel Thibault authored
    5eb98bb0
  • Samuel Thibault's avatar
    Fix watch and gbp.conf · 8f170531
    Samuel Thibault authored
    8f170531
  • Samuel Thibault's avatar
    Update upstream source from tag 'upstream/0.8.16' · 3d62feda
    Samuel Thibault authored
    Update to upstream version '0.8.16'
    with Debian dir 3b4b824fe5bbdfcecb2af2aa233daf540419399e
    3d62feda
  • Samuel Thibault's avatar
    upload · b1f60ee8
    Samuel Thibault authored
    b1f60ee8
  • Samuel Thibault's avatar
    upload to unstable · fefb1c94
    Samuel Thibault authored
    fefb1c94
  • Samuel Thibault's avatar
libcompizconfig (2:0.8.16-2) unstable; urgency=medium
* Upload to unstable.
* Move libcompizconfig0-dev's .pc files to a multiarch location.
-- Samuel Thibault <sthibault@debian.org> Sat, 15 Dec 2018 02:39:33 +0100
libcompizconfig (2:0.8.16-1) experimental; urgency=medium
* New upstream release.
-- Samuel Thibault <sthibault@debian.org> Sat, 17 Nov 2018 13:48:53 +0100
libcompizconfig (2:0.8.14-1) unstable; urgency=medium
* Split back packaging according to compiz-reloaded new upstream, and bump
epoch accordingly
* Switch to hypra maintenance team
* Restore non-reloaded package names
* Keep compatibility with packages in Debian
* Update copyright file
* Generate dbgsym packages
-- Samuel Thibault <sthibault@debian.org> Sat, 27 Oct 2018 21:11:55 +0200
libcompizconfig (1:0.9.13.1+18.04.20180302-2) unstable; urgency=medium
* Last compiz-from-launchpad upload.
-- Samuel Thibault <sthibault@debian.org> Sat, 20 Oct 2018 15:14:00 +0200
libcompizconfig (1:0.8.4-4ubuntu1) maverick; urgency=low
* Bumped epoch
-- Robert Ancell <robert.ancell@canonical.com> Thu, 17 Jun 2010 10:12:18 +1000
libcompizconfig (0.8.14-0~stretch1) stretch; urgency=low
* New upstream release.
- rename source package to reloaded version
* Bump standards to version 3.9.8.
* Add override dh_strip to no create automatic dbgsym.
-- Jof Thibaut <compiz@tuxfamily.org> Sat, 24 Jun 2017 21:48:35 +0200
libcompizconfig (0.8.12.1-0~jessie1) jessie; urgency=low
* New upstream release.
* Update dh_makeshlibs with new version.
-- Jof Thibaut <compiz@tuxfamily.org> Wed, 18 May 2016 14:52:23 +0200
libcompizconfig (0.8.12-0~jessie1) jessie; urgency=low
* New upstream release.
- forked on Github : Compiz Reloaded
- many more bug fixes and improvements, see git log
* Switch to format 3.0 (quilt).
* Update compat and rules to debhelper 9.
* Bump standards to version 3.9.6.
* Change Priority to optional.
* Update copyright to format 1.0 and Homepage link.
* Override dh_makeshlibs to fix dependencies on libcompizconfig0.
-- Jof Thibaut <compiz@tuxfamily.org> Fri, 26 Feb 2016 16:14:36 +0100
libcompizconfig (0.8.4-2) unstable; urgency=medium
* Medium urgency to fix RC bug in testing.
* Disable protobuf to work around #572923.
* Link libcompizconfig with -ldl (closes: #558875)
-- Julien Cristau <jcristau@debian.org> Sun, 04 Apr 2010 18:25:06 +0200
libcompizconfig (0.8.4-1) unstable; urgency=low
* New upstream release.
- Includes fix for "basic_string::_S_construct NULL not valid".
(Closes: #531797)
* Update Build-Depends against compiz-dev to 0.8.4-1 for ABI bump.
-- Sean Finney <seanius@debian.org> Thu, 11 Feb 2010 20:33:19 +0100
libcompizconfig (0.8.2-2) unstable; urgency=low
* Let libcompizcore0 depend on compiz-core and
compiz-core-abiversion-2009xxyy to avoid package mismatches.
* Add Vcs-Git-* control headers.
* Fix missing -abiversion in virtual dep.
* Let libcompizconfig-dev dep on compiz-dev (>= 0.8.2) for the Requires:
compiz libcompizconfig.pc.
* Temporarily bump compiz-dev build-dep and dep to >= 0.8.2-6 to
workaround FTBFS with current compiz-dev.
-- Loic Minier <lool@dooz.org> Fri, 24 Apr 2009 15:58:19 +0200
libcompizconfig (0.8.2-1) unstable; urgency=low
* New upstream release.
* Add gbp.conf for use with git-buildpackage
* Add build-dep on libprotobuf-dev and protobuf-compiler.
* Update Standards-Version to 3.8.1
* Remove usr/share/compizconfig from libcompizconfig0.install
* update build-dep version against compiz-dev
-- Sean Finney <seanius@debian.org> Sun, 05 Apr 2009 21:47:59 +0200
libcompizconfig (0.7.6-1) unstable; urgency=low
* New upstream release. Includes ABI change so build-deps changed
accordingly.
-- Sean Finney <seanius@debian.org> Tue, 03 Jun 2008 00:42:01 +0200
libcompizconfig (0.7.4-2) unstable; urgency=low
* Add build-deps on autoconf, automake1.9, libglib2.0-dev, and libtool
-- Sean Finney <seanius@debian.org> Tue, 20 May 2008 08:33:31 +0200
libcompizconfig (0.7.4-1) unstable; urgency=low
* New upstream release.
* Update build-deps to compiz-dev >= 0.7.3
-- Sean Finney <seanius@debian.org> Sun, 18 May 2008 19:58:13 +0200
libcompizconfig (0.6.0-3) unstable; urgency=low
* update/clarify copyright information in debian/copyright at the request of
ftp-master.
-- Sean Finney <seanius@debian.org> Sat, 17 Nov 2007 13:18:03 +0100
libcompizconfig (0.6.0-2) unstable; urgency=low
* ship the development package as libcompizconfig-dev, instead of
libcompizconfig0-dev.
-- Sean Finney <seanius@debian.org> Fri, 09 Nov 2007 08:41:37 +0100
libcompizconfig (0.6.0-1) unstable; urgency=low
* Initial release (Closes: #431787)
-- Sean Finney <seanius@debian.org> Wed, 07 Nov 2007 08:33:47 +0100
Source: libcompizconfig
Section: libs
Priority: optional
Maintainer: Hypra Team <bugs@hypra.fr>
Uploaders: Cyril Brulebois <cyril@debamax.com>, Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 9),
dh-autoreconf,
compiz-dev (>= 2:0.8.14-0~),
intltool,
libglib2.0-dev,
libxml2-dev,
libxslt1-dev
Standards-Version: 3.9.8
Homepage: https://github.com/compiz-reloaded/libcompizconfig
Vcs-Git: https://salsa.debian.org/compiz-team/libcompizconfig.git
Vcs-Browser: https://salsa.debian.org/compiz-team/libcompizconfig
Package: libcompizconfig0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
libcompizconfig0 (= ${binary:Version})
Description: Configuration settings library for compiz - development files
Compiz Reloaded is the result of the re-unification of the Beryl-project
and the community around the Compiz Window Manager. It seeks to provide
an easy and fun-to-use windowing environment, allowing use of the
graphics hardware to provide impressive effects, amazing speed and
unrivalled usefulness
.
This package provides the development files for the compiz
configuration system.
Package: libcompizconfig0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
${misc:Depends},
compiz-core (>= 2:0.8.14-0~)
Description: Configuration settings library for compiz
Compiz Reloaded is the result of the re-unification of the Beryl-project
and the community around the Compiz Window Manager. It seeks to provide
an easy and fun-to-use windowing environment, allowing use of the
graphics hardware to provide impressive effects, amazing speed and
unrivalled usefulness
.
This package provides the libraries and runtime files for the compiz
configuration system.
Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: libcompizconfig
Source: https://github.com/compiz-reloaded/libcompizconfig
Files: *
Copyright: 2007 Dennis Kasprzyk <onestone@opencompositing.org>
2007 Danny Baumann <maniac@opencompositing.org>
License: LGPL-2.1+
This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.
.
This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.
.
On Debian systems, the complete text of version 2.1 of the GNU Library
General Public License can be found in `/usr/share/common-licenses/LGPL-2.1'.
Files: src/iniparser.c src/iniparser.h
Copyright: Nicolas Devillard (ndevilla AT free DOT fr)
License: misc-1
Permission is granted to anyone to use this software for any
purpose on any computer system, and to redistribute it freely,
subject to the following restrictions:
.
1. The author is not responsible for the consequences of use of
this software, no matter how awful, even if they arise
from defects in it.
.
2. The origin of this software must not be misrepresented, either
by explicit claim or by omission.
.
3. Altered versions must be plainly marked as such, and must not
be misrepresented as being the original software.
.
4. This notice may not be removed or altered.
Files: backend/ini.c
Copyright: 2007 Danny Baumann <maniac@opencompositing.org>
License: GPL-2+
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.
.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
.
On Debian systems, the complete text of version 2 of the GNU General
Public License can be found in '/usr/share/common-licenses/GPL-2'.
Files: debian/*
Copyright: 2007 Sean Finney <seanius@debian.org>
2016 Jof Thibaut <compiz@tuxfamily.org>
License: GPL-3
This package is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.
.
This package is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
.
On Debian systems, the complete text of the GNU General
Public License can be found in `/usr/share/common-licenses/GPL-3'.
[DEFAULT]
pristine-tar = True
usr/include/*
usr/lib/pkgconfig
usr/lib/libcompizconfig.so
usr/lib/libcompizconfig.so.*
usr/lib/compiz/*.so
usr/lib/compizconfig/backends/*.so
usr/share/compiz/*xml
etc/compizconfig/config
#!/usr/bin/make -f
# -*- makefile -*-
#
include /usr/share/dpkg/architecture.mk
CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' /usr/include/compiz/compiz-core.h )
%:
dh $@ --with autoreconf
override_dh_auto_configure:
dh_auto_configure -- --disable-protobuf \
--disable-static --libdir=/usr/lib
override_dh_install:
# remove unneeded .la files
find $(CURDIR)/debian/tmp -type f -name '*.la' -print0 | xargs -0 rm -f
dh_install --fail-missing
mkdir debian/libcompizconfig0-dev/usr/lib/$(DEB_HOST_MULTIARCH)
mv debian/libcompizconfig0-dev/usr/lib/pkgconfig debian/libcompizconfig0-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
override_dh_makeshlibs:
dh_makeshlibs -plibcompizconfig0 -V'libcompizconfig0 (>= 2:0.8.14-0~)'
override_dh_gencontrol:
dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libcompizconfig-$1\.tar\.gz/ \
https://github.com/compiz-reloaded/libcompizconfig/tags .*/v?(\d\S*)\.tar\.gz